graph.tasks

## Class UndirectedGraphTasks

- java.lang.Object
- - graph.tasks.GraphTasks
  - - graph.tasks.UndirectedGraphTasks

-     public class UndirectedGraphTasks
      extends GraphTasks

  Úlohy na neorientovaných grafech.

  Popis: Na neorientovaných grafech hledáme komponenty a kostry.

  Užití: Instance této třídy lze používat v aplikacích.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private GraphFactory` | `graphF` továrna na grafy, které slouží jako výsledky úloh
    `private UndirectedGraph` | `uGraph` graf, na kterém se mají řešit úlohy

    - ### Fields inherited from class graph.tasks.GraphTasks

      `graph, heapF, opCnt, seqF, sPath`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UndirectedGraphTasks(UndirectedGraph aGraph, ShortestPathFactory spf, HeapFactory hf, SequenceFactory sf, GraphFactory gf)` Vyrobí objekt třídy UndirectedGraphTasks.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Sequence` | `connectedness()` Komponenty souvislosti.
    `UndirectedGraph` | `MinSpanTree()` Minimální kostra grafu.
    `private void` | `searchInDepth(GraphWrapper gw)` Průchod grafem.

    - ### Methods inherited from class graph.tasks.GraphTasks

      `getOperationCounter, shortestPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### graphF

          private GraphFactory graphF

      továrna na grafy, které slouží jako výsledky úloh

    - #### uGraph

          private UndirectedGraph uGraph

      graf, na kterém se mají řešit úlohy

  - ### Constructor Detail

    - #### UndirectedGraphTasks

          public UndirectedGraphTasks(UndirectedGraph aGraph,
                                      ShortestPathFactory spf,
                                      HeapFactory hf,
                                      SequenceFactory sf,
                                      GraphFactory gf)

      Vyrobí objekt třídy UndirectedGraphTasks.
      Parameters:
        `aGraph` - graf, na kterém se mají řešit úlohy
        `spf` - továrna na objekty, které hledají nejkratší cestu
        `hf` - továrna na haldy, které se použijí jako prioritní fronty
        `sf` - továrna na posloupnosti, které slouží jako výsledky úloh
        `gf` - továrna na grafy, které slouží jako výsledky úloh

  - ### Method Detail

    - #### searchInDepth

          private void searchInDepth(GraphWrapper gw)

      Průchod grafem. Používá se při hledání komponent souvislosti grafu.
      Parameters:
        `gw` - komponenta grafu, prvek výsledné posloupnosti komponent

    - #### connectedness

          public Sequence connectedness()

      Komponenty souvislosti. Rozloží graf uGraph na komponenty a naskládá je do posloupnosti.
      Returns:
        posloupnost komponent souvislosti

    - #### MinSpanTree

          public UndirectedGraph MinSpanTree()

      Minimální kostra grafu.
      Returns:
        graf, který je minimální kostrou grafu uGraph